package com.bocloud.nms.enums;

import java.util.HashMap;
import java.util.Map;

public enum AlarmLevel {
    ALL, // 全部
    OK, // 正常
    REMIND, // 提醒
    WARN, // 警告
    DANGER; // 危险

    public static Map<String, AlarmLevel> getValuesMap() {
        Map<String, AlarmLevel> map = new HashMap<>();
        AlarmLevel[] levels = AlarmLevel.values();
        for (AlarmLevel level : levels) {
            map.put(level.name(), level);
        }
        return map;
    }
}
